PrefabFiles = {
	"faroz",
	"faroz_gls",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/faroz.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/faroz.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/faroz.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/faroz.xml" ),

    Asset( "IMAGE", "bigportraits/faroz.tex" ),
    Asset( "ATLAS", "bigportraits/faroz.xml" ),
	
	Asset( "IMAGE", "images/map_icons/faroz.tex" ),
	Asset( "ATLAS", "images/map_icons/faroz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_faroz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_faroz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_faroz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_faroz.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/faroz_gls.xml"),

	    	Asset("SOUNDPACKAGE", "sound/zg_ch_willow.fev"),
    Asset("SOUND", "sound/zg_ch_willow.fsb"),
	Asset("SOUNDPACKAGE", "sound/zg_player_willow.fev"),
    Asset("SOUND", "sound/zg_player_willow.fsb"),

    	Asset("SOUNDPACKAGE", "sound/zg_ch1_luffy.fev"),
    Asset("SOUND", "sound/zg_ch1_luffy.fsb"),

}
RemapSoundEvent( "dontstarve/zg/willow/call", "zg_ch_willow/zg_ch_willow/call" )
RemapSoundEvent( "dontstarve/zg/willow/hit", "zg_ch_willow/zg_ch_willow/hit" )
RemapSoundEvent( "dontstarve/zg/willow/die", "zg_ch_willow/zg_ch_willow/die" )
RemapSoundEvent( "dontstarve/zg/willow/pound", "zg_ch_willow/zg_ch_willow/pound" )
RemapSoundEvent( "dontstarve/zg/willow/fireatk", "zg_ch_willow/zg_ch_willow/fireatk" )

RemapSoundEvent( "dontstarve/zg/ch_luffy/call", "zg_ch1_luffy/zg_ch1_luffy/call" )
RemapSoundEvent( "dontstarve/zg/ch_luffy/hit", "zg_ch1_luffy/zg_ch1_luffy/hit" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.faroz = "冰雪兔娘（比莉可）"
STRINGS.CHARACTER_NAMES.faroz = "比莉可"
STRINGS.CHARACTER_DESCRIPTIONS.faroz = "\n*传送术\n*满级解锁二级科技\n*冰雪风暴幻境.\n*不怕冬天!"
STRINGS.CHARACTER_QUOTES.faroz = "\"冰雪兔娘（比莉可）\""

GLOBAL.STRINGS.NAMES.FAROZ_GLS = "魔术眼镜"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FAROZ_GLS = "它让我感到清爽"

-- Custom speech strings
STRINGS.CHARACTERS.faroz = require "speech_faroz"

-- The character's name as appears in-game 
STRINGS.NAMES.faroz = "faroz"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.faroz = 
{
	GENERIC = "It's Faroz!",
	ATTACKER = "That Faroz looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Faroz, friend of ghosts.",
	GHOST = "Faroz could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "faroz")


AddMinimapAtlas("images/map_icons/faroz.xml")
AddModCharacter("faroz")

-----------

GLOBAL.glassesdrop = GetModConfigData("DROPGLASSES")
